Subject: [RFC PATCH] arm64: defconfig: enable SMMUv3 config

From: [email-masked] (Wei Xu)
Date: Mon, 16 Jan 2017 16:15:36 +0000

Hi Arnd,

On 2017/1/13 16:58, Arnd Bergmann wrote:
> On Friday, January 13, 2017 3:35:54 PM CET Wei Xu wrote:
>> On 2017/1/12 9:47, Catalin Marinas wrote:
>>> On Thu, Jan 12, 2017 at 08:36:12AM +0800, Zhou Wang wrote:
>>>> On 2017/1/9 19:50, Zhou Wang wrote:
>>>>> Signed-off-by: Zhou Wang <[email-masked]>
>>>>> ---
>>>>>  arch/arm64/configs/defconfig | 1 +
>>>>>  1 file changed, 1 insertion(+)
>>>>>
>>>>> diff --git a/arch/arm64/configs/defconfig b/arch/arm64/configs/defconfig
>>>>> index 869dded..3520c50 100644
>>>>> --- a/arch/arm64/configs/defconfig
>>>>> +++ b/arch/arm64/configs/defconfig
>>>>> @@ -440,6 +440,7 @@ CONFIG_PLATFORM_MHU=y
>>>>>  CONFIG_BCM2835_MBOX=y
>>>>>  CONFIG_HI6220_MBOX=y
>>>>>  CONFIG_ARM_SMMU=y
>>>>> +CONFIG_ARM_SMMU_V3=y
>>>>>  CONFIG_RASPBERRYPI_POWER=y
>>>>>  CONFIG_QCOM_SMEM=y
>>>>>  CONFIG_QCOM_SMD=y
>>>>
>>>> I just happened to find there is no SMMUv3 config in arm64 defconfig.
>>>>
>>>> Maybe we should add it in defconfig or I miss something.
>>>
>>
>> Hi Arnd,
>>
>>> It looks fine to me but it's usually the arm-soc guys picking the
>>> defconfig patches.
>>>
>>
>> It is fine to me.
>> Is it OK for me to pick up this or will you directly pick up this?
>> Thanks!
> 
> Either way works for me. I usually recommend platform maintainers
> picking up patches and then sending them on to arm at kernel.org,
> as that gets our attention quicker. A patch that gets sent with
> me personally on Cc might get lost in the email.

In this case I will pick up it.
Thanks!

Best Regards,
Wei

> 	Arnd
> .